import { jsx } from "react/jsx-runtime";
import { GitBranch as GitBranch$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const GitBranch = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "GitBranch", ...props, children: /* @__PURE__ */ jsx(GitBranch$1, { weight: variant }) });
  }
);
GitBranch.displayName = "GitBranch";
Object.assign(GitBranch, { isGdsIcon: true });
export {
  GitBranch
};
